Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 May 2013 22:16:26 +0300

> From: Achim Gratz <[email-masked]>
> Date: Thu, 30 May 2013 21:02:54 +0200
> 
> Eli Zaretskii writes:
> > This is all still true, except that some of the directories are not
> > immediately below the root of the installation tree, but somewhat
> > deeper.  E.g., what was previously in ROOT/lisp is now in
> > ROOT/share/emacs/VERSION/lisp.  Why is that difference important?
> 
> It is not, the OP's talking about the missing "../site-lisp" part.

It's not missing, it's in ROOT/share/emacs/site-lisp now.

> > Did you really have files in "%emacs_dir%/../site-lisp"?  If you did,
> > you'd probably be the first one I know about who did.  Most people
> > don't even know that directory is looked in.
> 
> FWIW, I use a directory structure which relies on a ../site-lisp to be
> accessible by multiple Emacs versions installed in parallel, just like
> on UN*Xy boxes.

Unix boxes use exactly the directory structure that is now encoded in
epaths.h.  So we got closer to Unix, not farther.

> > If you do have files in this directory, you'll have to copy them into
> > each new tree, if you really want the threes to be separate, not under
> > a single root.  But you'll probably need that anyway, because Lisp
> > files had better be compiled by the Emacs version that runs them.
> 
> When was that change announced?  It used to be sufficient to compile
> them with the oldest Emacs version (or not at all).

I said "probably" and "had better".  My gray hair taught me not to
trust old *.elc files, especially since site-lisp is home to all kind
of 3rd party packages that aren't as disciplined as the bundled ones.
YMMV.